Subject: RE: BitTorrent (Was: Re: [Isms] ISMS charter broken- onus should beon WG to fix it)

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Fri, 16 Sep 2005 06:39:55 -0700

Wouldn't it be good if an ISP could install a machine that would
function as a local head end BitTorrent cache?

There are probably multiple folk on my comcast drop who are viewing the
same feeds from CNN and Crooks and Liars etc. Peer to Peer is not the
optimal way to support this but it is the optimal way to bootstrap.

This is of course leading to a discussion where someone says 'you want
to work out the optimal routing path, that's hard' and someone else says
'I thought we were meant to be the ones with brains the size of a
planet'.

Don't bother with optimal, just do SRV lookups on the reverse DNS. The
network operator can do the optimal cache placement and use the reverse
DNS to advertise the correct location. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Thomas Narten
> Sent: Friday, September 16, 2005 9:24 AM
> To: Scott W Brim
> Cc: Michael Thomas; Paul Hoffman; [email-masked]
> Subject: Re: BitTorrent (Was: Re: [Isms] ISMS charter broken- 
> onus should beon WG to fix it) 
> 
> 
> Scott W Brim <[email-masked]> writes:
> 
> > The metaphor I'm trying to use this week is that the IETF is 
> > landscapers and we provide a fertile, beautiful area for 
> people to go 
> > wild and create excellent gardens.
> 
> Exactly. The beauty of TCP/IP (and indeed many protocols when done
> well) is that they are generic enablers for additional 
> higher-level uses.
> 
> TCP/IP creates opportunity for innovation, and does so in a 
> way that is generally safe for the network.
> 
> In the case of BitTorrent, it runs on top of TCP. It is silly 
> to assume/expect all application protocols to be developed in 
> the IETF.
> 
> It is true that BitTorrent (or more precisely its heavy use) 
> creates interesting dynamics that have implications for the 
> net and maybe even the IETF.
> 
> For example, BitTorrent creates an environment in which end 
> users start running "background" jobs that run for hours and 
> suck up idle background network capacity. I've heard ISPs use 
> figures of 30% or more of their capacity.... This is Just 
> Fine at one level, but also upsets some business models.  
> Wouldn't it be nice if BitTorrent traffic (at least in some 
> cases) could be labeled as "background" traffic so that ISPs 
> had the ability to better prioritize or figure out when it is 
> critical to add more bandwidth vs. "just nice to have"? Maybe 
> more work here for diffserv?
> 
> Thomas
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
> 
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf